
// window.setInterval(function(){
  // savetodb(validasiToken);
  getdatavisitor(validasiToken);
// },60000);


// savetodb(validasiToken);

getdatavisitor(validasiToken);

function savetodb(tokeni){
  $.ajax({
    type  : "post",
    data  : "JSON",
    url   : baseURL + "/api/getfile",
    data : {
      token : tokeni
    }
  })
}



function getdatavisitor(tokeni){
  $.ajax({
    type  : "post",
    data  : "JSON",
    url   : baseURL + "/api/getdatavisitor",
    data : {
      token : tokeni
    },
    success: function(result){
      
      // console.log(result);

      let data = result.data;

      // console.log(data);
      $("#totalvisitor").html(data['total_visit']);
      $("#newvisitor").html(data['new_visitor']);
      $("#numbercities").html(data['total_cities']);
      $("#pageviews").html(data['page_views']);
    },  
  })
}




// $.ajax({
    //   type : 'POST',
    //   dataType : 'JSON',
    //   url   : baseURL + "/api/loadvisitormonth",
    //   async : false,
    //   data : {
    //     year : selectedyear,
    //     token : validasiToken
    //   },
    //   success:function(result){
    //     let data = result.data;
    //     var month = [];
    //     for(x in data){
    //       month[x] = data[x]['month']
    //       if(month[x]==1){
    //         month[x]='Januari';
    //       }else if(month[x]==2){
    //         month[x]='Februari';
    //       }else if(month[x]==3){
    //         month[x]='Maret';
    //       }else if(month[x]==4){
    //         month[x]='April';
    //       }else if(month[x]==5){
    //         month[x]='Mei';
    //       }else if(month[x]==6){
    //         month[x]='Juni';
    //       }else if(month[x]==7){
    //         month[x]='Juli';
    //       }else if(month[x]==8){
    //         month[x]='Agustus';
    //       }else if(month[x]==9){
    //         month[x]='September';
    //       }else if(month[x]==10){
    //         month[x]='Oktober';
    //       }else if(month[x]==11){
    //         month[x]='November';
    //       }else if(month[x]==12){
    //         month[x]='Desember';
    //       }
    //       optionmonth = '';
    //       optionmonth += `<option val='`+month[x]+`'>`+month[x]+`</option>`;
    //       $('#selectmonth').html(optionmonth);
    //     }
    //   }
    // });
